Subject: Re: [PATCH/RFC] make unregister_netdev() delete more than 4 interfaces per second

From: Eric Dumazet <[email-masked]>
Date: Sun, 18 Oct 2009 21:36:00 +0200

Benjamin LaHaise a écrit :
> 
> My goal is tearing down 100,000 interfaces in a few seconds, which really is 
> necessary.  Right now we're running about 40,000 interfaces on a not yet 
> saturated 10Gbps link.  Going to dual 10Gbps links means pushing more than 
> 100,000 subscriber interfaces, and it looks like a modern dual socket system 
> can handle that.
> 
> A bigger concern is rtnl_lock().  It is a huge impediment to scaling up 
> interface creation/deletion on multicore systems.  That's going to be a 
> lot more invasive to fix, though.

Dont forget synchronize_net() too (two calls per rollback_registered())

You need something to dismantle XXXXX interfaces at once, instead
of serializing one by one. Because in three years you'll want to dismantle
1.000.000 interfaces in one second.

Maybe defining an asynchronous unregister_netdev() function...